Jump to content

MediaWiki:Common.css: Difference between revisions

From Scampsopedia
No edit summary
No edit summary
Line 1: Line 1:
.scamp-button {
.scamp-link-button {
   display: inline-flex;
   display: inline-flex;
   align-items: center;
   align-items: center;
   justify-content: center;
   justify-content: center;
   background-color: var(--background-color-interactive);
   background-color: var(--background-color-interactive);
   text-color: var(--color-base)
   text-color: var(--color-base);
}
}


.scamp-button:hover {
.scamp-link-button:hover {
   display: inline-flex;
   display: inline-flex;
   align-items: center;
   align-items: center;
Line 14: Line 14:
}
}


.scamp-button > p {
.scamp-link-button > p {
   display: contents;
   display: contents;
   margin: 0;
   margin: 0;
}
}


 
.scamp-link-button > p > a {  
.scamp-button:not(:has(> p > a)) {
  padding: 1rem;
}
 
.scamp-button:has(> p > a) {
  padding: 0;
}
 
.scamp-button > p > a {  
   text-align: center;
   text-align: center;
   flex: 1;
   flex: 1;
  padding: 0.75rem 1rem;
}
}


Line 37: Line 29:
   padding: 0;
   padding: 0;
}
}
.scamp-button

Revision as of 22:49, 6 January 2026

.scamp-link-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--background-color-interactive);
  text-color: var(--color-base);
}

.scamp-link-button:hover {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: var(--background-color-interactive--hover);
}

.scamp-link-button > p {
  display: contents;
  margin: 0;
}

.scamp-link-button > p > a { 
  text-align: center;
  flex: 1;
  padding: 0.75rem 1rem;
}

.scamp-button > p > a.external {
  background-image: none;
  padding: 0;
}

.scamp-button